#ifndef _CATMULLROM_HPP_
#define _CATMULLROM_HPP_

#include "externs.hpp"

class CatmullRom
{
public:
    CatmullRom();
    CatmullRom(int pointcount);
    ~CatmullRom();

    void addPoint(Vector point);
    void setPoint(int index, Vector point);
    
    Vector getValue(float t);
    Vector getTangent(float t);

    int pcount;
    Vector *points;

private:
    int pointindex;


};



#endif
